-----------------------------------------------------------------------------
-- Stage 4-4
-----------------------------------------------------------------------------
-- GLOBALS
  
function Height(name)    
    local animal2;
	animal2 = Entity.FindName(entRoot, name);
	if (animal2) then
    	Animal.SetElvOffset(animal2, 0);	
    	Animal.SetCoinMode(animal2, CM_SPAWNREL);
    	end;
    end;  
        
-----------------------------------------------------------------------------    

function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");
   
    Sound.Release(smpJungleCall);
    
    EntGame.DestroyAllAnimals();
                    
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldShoreline\\ShorelineCommon.ini", "Maps\\Stage4-4\\Stage4-4.ini","","");
    EntGame.CreatePlayerEntities();
    
    EntGame.SetGlobalDustColorInitial(.5, 0.21, .19, .13);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.21, .19, .13);

    EntGame.SetStageTimer(240);
    
    smpJungleCall = Sound.Load("Sound\\Environment\\JungleCall1.wav");
    
    EntGame.LoadAnimal(AID_MEERKAT_M);
    EntGame.LoadAnimal(AID_HARE_M);
    EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
    EntGame.LoadAnimal(AID_NILECROC_M);
    EntGame.LoadAnimal(AID_HIPPO_M);
    EntGame.LoadAnimal(AID_GEMSBOK_M);
    EntGame.LoadAnimal(AID_ELAND_M);

 	StartupSequence("Music\\Moteff.ogg");
 	
 	EntGame.DestroyAllAnimals();
    
    end;

    
-----------------------------------------------------------------------------
function Part1()

	Camera.JumpToWaypoint(entCamera, "CamWptAA");
	Camera.StopAtWaypoint(entCamera, "CamWptCC");  
    Camera.SetSpeed(entCamera, 5.0, .1);

    Script.WaitSec(4);
    
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);    
	
    Script.WaitSec(3);
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);
    Script.WaitSec(1.5);
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny2, entCamera);    
    Script.WaitSec(1.5);    
    Bunny3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath2", 0, ST_WPT_RUN, 0, .5, .5, 1.0);
    Animal.FaceEntity(Bunny3, entCamera);
    Script.WaitSec(1.5);
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);
    Script.WaitSec(1.5);
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny2, entCamera);  
    Script.WaitSec(1.5);
    Bunny56=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny56, entCamera);  
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 0, 0, 0, 1.0);    
    Croc1=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path1", 0, ST_WPT_RUN, 20000, 0, 0, .8);
    Animal.FaceEntity(Croc1, entCamera);
	Animal.SetAutoChargeDist(Croc1, 15);	
	Animal.SetAttackType(Croc1, ATK_STRAFE);  
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 0, 1.5, 0, .8);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 1, -.5, -.5, .6);	
    Script.WaitSec(1);
    Bunny3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath2", 0, ST_WPT_RUN, 0, .5, .5, 1.0);
    Animal.FaceEntity(Bunny3, entCamera);
    	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 0, -1, 0, 1.3);
    	
    Croc2=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path2", 0, ST_WPT_RUN, 20000, 0, 0, .8);
    Animal.FaceEntity(Croc2, entCamera);
	Animal.SetAutoChargeDist(Croc2, 15);	
	Animal.SetAttackType(Croc2, ATK_STATIC); 
	Animal.SetAttackRepeat(Croc2, 1);  
	Animal.SetPostAttackRand(Croc2, false);
	Animal.SetPostAttackDir(Croc2, -90); 
	
    Script.WaitSec(5);
    Meerkat1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path3", 0, ST_POPUP, 2, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat1, entCamera);
    Animal.SetElvOffset(Meerkat1, 2.0);   
    Animal.SetCoinMode(Meerkat1, CM_SPAWNREL);
    Script.WaitSec(2);
    	
    --TURN CAMERA LEFT
    Camera.SetPanOffset(entCamera, -50, 1.5);
    	
    Script.WaitSec(2);
    Bunny3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath2", 0, ST_WPT_RUN, 0, .5, .5, 1.0);
    Animal.FaceEntity(Bunny3, entCamera);	 
    Meerkat2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path4", 0, ST_POPUP, 2, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat2, entCamera);
    Animal.SetElvOffset(Meerkat2, 5.0);
    Animal.SetCoinMode(Meerkat2, CM_SPAWNREL);   
    Script.WaitSec(1.2); 
    Meerkat3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path5", 0, ST_POPUP, 2.5, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat3, entCamera);
    Animal.SetElvOffset(Meerkat3, 2.7); 
    Animal.SetCoinMode(Meerkat3, CM_SPAWNREL); 
    Script.WaitSec(3); 
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 0, 0, 0, 1.0);	
    Meerkat1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path3", 0, ST_POPUP, 2, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat1, entCamera);
    Animal.SetElvOffset(Meerkat1, 2.0);
    Animal.SetCoinMode(Meerkat1, CM_SPAWNREL);  
    Bunny56=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny56, entCamera);   
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 0, 1.0, 0, 1.0);	
    
    --TURN CAMERA TO CENTER
    Camera.SetPanOffset(entCamera, 0, 1.5); 
    
    Hippo1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "Path6", 0, ST_WPT_WALK, 20, 0, 0, .3);
    Animal.EnableFear(Hippo1, false);
    Entity.SetName(Hippo1, "Hippo1");
    Hippo2=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "Path7", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(Hippo2, false);
    Entity.SetName(Hippo2, "Hippo2");
    Hippo3=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "Path8", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(Hippo3, false);
    Entity.SetName(Hippo3, "Hippo3");
    Hippo4=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "Path9", 0, ST_GRAZING, 20, 0, 0, 1.2);
    Animal.EnableFear(Hippo4, false);
    Entity.SetName(Hippo4, "Hippo4"); 
    Hippo5=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "Path10", 0, ST_WPT_WALK, 20, 0, 0, .3);
    Animal.EnableFear(Hippo5, false);
    Entity.SetName(Hippo5, "Hippo5");
    
    Script.WaitSec(1.0);
    Meerkat2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path4", 0, ST_POPUP, 3, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat2, entCamera);
    Animal.SetElvOffset(Meerkat2, 5.0);
    Animal.SetCoinMode(Meerkat2, CM_SPAWNREL);   		 
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath1", 0, 0, 0, 0, 1.0);
 	Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);
	Camera.StopAtWaypoint(entCamera, "CamWptGG"); 
    
	--ACCELERATION
    Camera.SetSpeed(entCamera, 1.0, .1); 
  	Script.WaitSec(.75);
    Camera.SetSpeed(entCamera, 2.0, .1); 
    Script.WaitSec(.75);
    Camera.SetSpeed(entCamera, 3.0, .1); 
    Script.WaitSec(.75);
    Camera.SetSpeed(entCamera, 4.0, .1); 
    Script.WaitSec(.75);
    Camera.SetSpeed(entCamera, 5.0, .1); 
    --ACCELERATION COMPLETE
    
	--Script.WaitSec(15); --TRAVELING ACROSS THE BRIDGE
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path12", 0, 0, 0, 0, 1.5);
	Script.WaitSec(2.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 0, 0, 1.7);   
	Script.WaitSec(1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, .5, 0, 1.5);  
	Script.WaitSec(1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, 1, 0, -1, 1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path14", 0, 0, 0, 0, 1.5);
	Script.WaitSec(1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, .5, 1.5, -1.5, 1.7); 
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path14", 0, 1.0, -1.0, -1.0, 1.5);  
	Script.WaitSec(1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, .5, -.5, 0, 1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path14", 0, 2, .5, -1, 1.5);
	Script.WaitSec(1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, -1.5, 1.0, 0, 1.7); 
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path14", 0, -.5, 0, 2, 1.5);  
	Script.WaitSec(1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, -1.5, 0, -.5, 1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path14", 0, 0, -2, 0, 1.5);            	
	Script.WaitSec(6.0);
	    
    end;    

-----------------------------------------------------------------------------

function Part2()
            
	--Camera.JumpToWaypoint(entCamera, "CamWptPP");
	--Camera.SetSpeed(entCamera, 0.0, .1);
	
	--Safeguard in case birds or hippos cause problems.
	EntGame.DestroyAllAnimals();

	--TURN CAMERA RIGHT
    Camera.SetPanOffset(entCamera, 110, 1.0); 
	Script.WaitSec(.5);
	EntGame.DestroyAllAnimals();	
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, -2.5, 0, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, -2.5, .5, 1.2);
    Script.WaitSec(1); 	
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, -1.5, .5, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, -2.5, 0, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, 1.5, -1.5, 1.2);
    Script.WaitSec(6.0); 
		
    --TURN CAMERA LEFT
    Camera.SetPanOffset(entCamera, -80, 2.0); 	
    	
    Script.WaitSec(4.0);
    
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);
	
    a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path15", 0, ST_WPT_RUN, 20, 0, 0, 1.2);
    Animal.SetChargeWhenShot(a, true);	
    Animal.SetAttackType(a, ATK_STRAFE);
    Animal.SetPostAttackTimer(a, 0);
    Script.WaitSec(3.0);
    	 
	Camera.StopAtWaypoint(entCamera, "CamWptKK");  
    Camera.SetSpeed(entCamera, 4.0, .1);
    
    --TURN CAMERA TO CENTER 
 	Camera.SetPanOffset(entCamera, 0, 2.0);
 
 	a1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath6", 0, ST_GRAZING, 4, 0, 0, 1.2);
 	Animal.EnableFear(a1, false);
 	Animal.SetAutoChargeDist(a1, 20);	
	Animal.SetAttackType(a1, ATK_STRAFE);
	Animal.SetPostAttackTimer(a1, 0);
 	b1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath7", 0, ST_GRAZING, 15, 0, 0, 1.2);
 	Animal.EnableFear(b1, false);
 	b1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath8", 0, ST_GRAZING, 9, 0, 0, 1.2);
 	Animal.EnableFear(b1, false);

    EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path16", 0, ST_WPT_RUN, 20, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, 0, 0, 0, 1.2);
	Script.WaitSec(1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, .2, .5, 0, 1.2);   
    Script.WaitSec(1.0);  
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path13", 0, 1.2, -.5, .6, 1.2);  
    Script.WaitSec(2.0);
    
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);
	
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);
    Script.WaitSec(2.0);     
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny2, entCamera);
    Script.WaitSec(1.0);
    Meerkat1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path17", 0, ST_POPUP, 4, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat1, entCamera);
    Animal.SetElvOffset(Meerkat1, 1.6);
    Animal.SetCoinMode(Meerkat1, CM_SPAWNREL);    	
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny2, entCamera);
    Script.WaitSec(4);
    
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);
	
	Script.WaitSec(4);
    Meerkat2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path18", 0, ST_POPUP, 3, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat2, entCamera);  	
    Script.WaitSec(4);
   
    --ARRIVED AT CAMPSITE NEAR BUILDING  	
    EntGame.DestroyAllAnimals();
    
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);
		  	  	
    --RUN BUNNIES RUN!!!
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath11", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);
    Script.WaitSec(1.5);
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath12", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(Bunny2, entCamera);	
    Script.WaitSec(2.0);
    Bunny3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny3, entCamera);	
    Script.WaitSec(2.0);
    	
    --RUN ELANDS!!!
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(3.0);
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath11", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);	
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(3.5);
    Bunny3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny3, entCamera);		
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(3.0);
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath12", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(Bunny2, entCamera);		
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.0);     
    Script.WaitSec(3.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.0); 
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.0);  
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.0);          
           	
    --RUN BUNNIES!!!
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath11", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny1, entCamera);
    Script.WaitSec(1.5);
    Bunny2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath12", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(Bunny2, entCamera);	
    Script.WaitSec(2.0);
    Bunny3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(Bunny3, entCamera);	
    Script.WaitSec(3);
      		
	Camera.StopAtWaypoint(entCamera, "CamWptPP");  

	--ACCELERATION
    Camera.SetSpeed(entCamera, 1.0, .1); 
  	Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 2.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 3.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 4.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 5.0, .1); 
    --ACCELERATION COMPLETE
    
	Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path19", 0, ST_WPT_RUN, 0, 1.2, 0, 1.0);
    Script.WaitSec(0.5);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path19", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(1.0);
    	
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);
		
 	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path19", 0, ST_WPT_RUN, 0, -1.2, 1.2, 1.2);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path19", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path19", 0, ST_WPT_RUN, 0, 1.2, 0, 1.3);  
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path19", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path20", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path21", 0, ST_WPT_RUN, 0, 0, 0, 1.0);  
    
    --Jungle Bird Call 
	Sound.Play(smpJungleCall, 1, 1, DS2_CENTER);
	
    a1=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path19", 0, ST_WPT_WALK, 0, 0, 0, .5);
    Animal.EnableFear(a1, false);
	Animal.SetAutoChargeDist(a1, 20);	
	Animal.SetAttackType(a1, ATK_STRAFE);    
    Entity.SetName(a1, "Croc1");
    a2=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path20", 0, ST_WPT_WALK, 0, 0, 0, .7);
    Animal.EnableFear(a2, false);
    Entity.SetName(a2, "Croc2");
    a3=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path21", 0, ST_WPT_WALK, 0, 0, 0, .5);
    Animal.EnableFear(a3, false);
    Entity.SetName(a3, "Croc3");  
    a4=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path20", 0, ST_GRAZING, 16, 0, 0, .5);
    Animal.EnableFear(a4, false);  
    a5=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "Path19", 0, ST_GRAZING, 15, 0, 3, .5);
    Animal.EnableFear(a5, false);  		
	Script.WaitSec(1.0);
		
	a1=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath14", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(a1, false);
    Entity.SetName(a1, "Gemsbok1");	
	a2=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath15", 0, ST_GRAZING, 15, 0, 0, 1.0);
    Animal.EnableFear(a2, false);
    Entity.SetName(a2, "Gemsbok2");	
	a3=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath16", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(a3, false);
    Entity.SetName(a3, "Gemsbok3");	
	a4=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath17", 0, ST_GRAZING, 17, 0, 0, 1.0);
    Animal.EnableFear(a4, false);
    Entity.SetName(a4, "Gemsbok4");	
	a41=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath17", 1, ST_GRAZING, 17, 0, 0, 1.0);
    Animal.EnableFear(a41, false);
    Entity.SetName(a41, "Gemsbok41");    
	a5=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath18", 0, ST_GRAZING, 16, 0, 0, 1.0);
    Animal.EnableFear(a5, false);
    Entity.SetName(a5, "Gemsbok5");	
	a51=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath18", 1, ST_GRAZING, 16, 0, 0, 1.0);
    Animal.EnableFear(a51, false);
    Entity.SetName(a51, "Gemsbok51");	    
	a6=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath19", 0, ST_GRAZING, 14, 0, 0, 1.0);
    Animal.EnableFear(a6, false);
    Entity.SetName(a6, "Gemsbok6");	
	a7=EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath20", 0, ST_GRAZING, 20, -1.5, 3.5, 1.0);
    Animal.EnableFear(a7, false);
    Entity.SetName(a7, "Gemsbok7");	                   
                
	Script.WaitSec(6.0);
		   	    	
	Run("Croc1");
	Script.WaitSec(1.5);
	Run("Croc2");
	Script.WaitSec(0.5);
	Run("Croc3");
	Script.WaitSec(3.0);
		
	Walk("Gemsbok1");
	Walk("Gemsbok5");
	Walk("Gemsbok3");
	Walk("Gemsbok7");
	Walk("Gemsbok41");
	Walk("Gemsbok51");
	
	Script.WaitSec(2.0);

	EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath14", 0, ST_WPT_RUN, 20, 0, 0, 1.0);		
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath16", 0, ST_WPT_RUN, 20, 1.5, 0, 1.2);
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath16", 0, ST_WPT_RUN, 20, 0, 0, 1.2);
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath16", 0, ST_WPT_RUN, 20, -1.5, .5, 1.2);
	Run("Gemsbok51");	
	Script.WaitSec(5.0);
	EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath16", 0, ST_WPT_RUN, 20, 1.5, 0, .6);	
	Run("Gemsbok41");	
	Script.WaitSec(3.0); 
	Run("Gemsbok3");
	EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath16", 0, ST_WPT_RUN, 20, 0, 0, 1.0);
	Script.WaitSec(1.0);
	Run("Gemsbok5");	
	Script.WaitSec(1.0);
	Run("Gemsbok1");
	
	Camera.StopAtWaypoint(entCamera, "CamWptVV");  
    Camera.SetSpeed(entCamera, 5.0, .1);
    
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath20", 0, ST_WPT_RUN, 20, 0, 0, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath20", 0, ST_WPT_RUN, 20, 0, 0, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath20", 0, ST_WPT_RUN, 20, 0, 0, 1.0);
    Script.WaitSec(1.0);
    Run("Gemsbok7");
    Script.WaitSec(5.0);
  
    --DECELERATION
    Camera.SetSpeed(entCamera, 4.0, .1); 
  	Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 3.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 2.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 1.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 0.0, .1); 
    --DECELERATION COMPLETE
    
    --LOOK INTO THE SKY
    Camera.SetTiltOffset(entCamera, 35, 1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 4, 0, -4, 1.0);
    Script.WaitSec(1);	
    --EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 5, 0, -5, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 0, 0, 1.2);  
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, -5.5, 0, -5, 1.0);
    
    --TURN AROUND!!!		
    Camera.SetPanOffset(entCamera, -370, 15.0); 

   	Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 5, 0, -5, 1.0);    	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path23", 0, 1.5, 0, -.5, .5);	   
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 4, 0, -4, 1.0);    	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path23", 0, .5, -.5, 2, 1.1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, 0, 1.5, 0, 1.2);  	
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, -3.6, 0, 6, 1.0);    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, 0, 0, 0, 1.2);    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path25", 0, .5, 0, -.5, 1.2);    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path23", 0, 1.5, 1.0, -1.5, 1.2);	
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, 0, -.5, 0, 1.2);  	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path25", 0, 1.5, 1.0, -1.5, 1.2);		
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path23", 0, .5, 0, -.5, 1.2);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path23", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path25", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, 0, 0, 0, 1.2);
   
    Script.WaitSec(1.5);
   	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, 1.5, 1.5, 1.5, 1.0);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path24", 0, 0, 0, 0, 1.2);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path25", 0, 1.5, 0, -.5, 1.2);	
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, -1.5, 0, -1.5, 1.2);    	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path24", 0, 0, 1, 0, 1.2);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path25", 0, .5, -.5, 2, 1.1);	
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, 0, 0, 0, 1.2); 
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, 0, 0, .6);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path28", 0, 0, 0, 0, 1.0);
    Script.WaitSec(1);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, .5, 1.5, -1.5, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path27", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, -.5, 0, 1.5, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path28", 0, 5, 0, -5, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 1.5, 0, -1.5, .6);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 2, 0, -2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path27", 0, 0, 0, 0, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path28", 0, 5, 0, -5, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path27", 0, 1.5, 0, -1.5, .6);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, -5.5, 0, -5, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath3", 0, 0, 0, 0, 1.2);    
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath3", 0, 1.5, 1.2, -2, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, 0, 0, 0, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath3", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath3", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, 5, 0, -5, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, -5.5, 0, -5, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path29", 0, 0, 0, 0, 1.0); 
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path30", 0, 0, 0, 0, 1.0);  
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, 0, 1.0, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path29", 0, 0, 1.0, 0, 1.0); 
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path30", 0, 0, 1.0, 0, 1.0); 
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, 1.5, 1.0, 2, 1.0);   		
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path29", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path30", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path29", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path30", 0, 5, 0, -5, 1.0);	
   	Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path29", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path30", 0, 5, 0, -5, 1.0);    
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 4, 0, -4, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3.6, 0, 6, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 5, 0, -5, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 0, 0, 1.2);  
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -5.5, 0, -5, 1.0);
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3.6, 0, 6, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath21", 0, 0, 0, 0, .8);    
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 5, 0, -5, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath21", 0, 1.5, .5, 0, .8);    
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 0, 0, 1.2);  
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -5.5, 0, -5, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath21", 0, -2, -1, .5, .8);        
    Script.WaitSec(3);
    	
    --LOOK STRAIGHT AGAIN	
    Camera.SetTiltOffset(entCamera, 0, 1.5);
    Script.WaitSec(1.5);

    --ACCELERATION
    Camera.SetSpeed(entCamera, 1.0, .1); 
  	Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 2.0, .1); 
    Script.WaitSec(.5);
    EntGame.DestroyAllAnimals();
    Camera.SetSpeed(entCamera, 3.0, .1); 
    Script.WaitSec(.5);
    Camera.SetSpeed(entCamera, 4.0, .1); 
    --ACCELERATION COMPLETE
    
    Camera.SetPanOffset(entCamera, -360, 1.5); 

    Script.WaitSec(1);
    
    a1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath28", 0, ST_GRAZING, 17, 0, 0, .6);
 	Animal.EnableFear(a1, false);
 	Animal.SetAutoChargeDist(a1, 5);	
	Animal.SetAttackType(a1, ATK_STRAFE);
 	b1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath29", 0, ST_GRAZING, 19, 0, 0, .6);
 	Animal.EnableFear(b1, false);
 	b1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath30", 0, ST_GRAZING, 21, 0, 0, .6);
 	Animal.EnableFear(b1, false);
 	Animal.SetElvOffset(b1, -.5);
	Animal.SetAutoChargeDist(b1, 5);	
	Animal.SetAttackType(b1, ATK_STRAFE); 	
 	Entity.SetName(b1, "Hippo10");
 	        
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath22", 0, ST_WPT_RUN, 20, 0, 0, .5);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath23", 0, ST_WPT_RUN, 20, 0, 0, .5);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath22", 0, ST_WPT_RUN, 20, 0, 0, .5);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath23", 0, ST_WPT_RUN, 20, 0, 0, .5);   		
    Script.WaitSec(4);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath24", 0, ST_WPT_RUN, 20, 0, 0, .8);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath24", 0, ST_WPT_RUN, 20, 0, 0, .4);  
   	Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath25", 0, ST_WPT_RUN, 20, 0, 0, .8);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath26", 0, ST_WPT_RUN, 20, 0, 0, .8);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath25", 0, ST_WPT_RUN, 20, 0, 0, .8);     
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath26", 0, ST_WPT_RUN, 20, 0, 0, .8); 
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_GEMSBOK_M, "BunnyPath27", 0, ST_WPT_RUN, 20, 0, 0, 1.2);
    Script.WaitSec(12.0); 
    Height("Hippo10");  
    Script.WaitSec(2.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, 0, -1.5, 0, .8);  
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, -2.5, -1.0, -2, .8);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, -2, -1, .5, .8);   
	Script.WaitSec(1.0);
		 	    	 	  	  
    end;    

-----------------------------------------------------------------------------  
function Part3()

	--Camera.JumpToWaypoint(entCamera, "CamWptVV");
	--Camera.SetSpeed(entCamera, 0.0, .1);
	--Camera.SetPanOffset(entCamera, -25, 1.5);
	
    Camera.StopAtWaypoint(entCamera, "CamWptZZ"); 
    
    Camera.SetSpeed(entCamera, 1.0, .1); 
    Camera.SetPanOffset(entCamera, -385, 1.5);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, 0, 0, 0, .8);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, -3.6, 0, 4, .8);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, 0, 0, -2.5, .8);    
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, 0, -1.5, 0, .8);  
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, -2.5, -1.0, -2, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, -2, -1, .5, .8);   
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, 0, -1.5, 0, .8);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, -3.6, 0, 4, .8);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, 0, 0, 0, .8);    
    Script.WaitSec(1);
    	
    Meerkat1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath31", 0, ST_POPUP, 20, 0, 0, 1.0);
    Animal.FaceEntity(Meerkat1, entCamera);
    Animal.SetElvOffset(Meerkat1, 1.5);
    Animal.SetCoinMode(Meerkat1, CM_SPAWNREL);	
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, 0, -1.5, 0, .8);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, 3, 0, -3, .8);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, 1.5, -.5, 0, .8);  
	Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath34", 0, 0, -1.5, 0, .8);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath33", 0, 0, -2, 0, .8);
	Script.WaitSec(1);    		  	
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath32", 0, ST_WPT_RUN, 0, 0, 0, .6); 
    
    	   
    end;    
      
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1();
Part2();
Part3();   